| Face Engine SDK 5.7.0 A face detection, recognition and tracking engine.

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
fsdk::ILivenessRGBMEstimator Struct Referenceabstract

RGBM Liveness estimator interface. More...

`#include <ILivenessRGBMEstimator.h>`

Inheritance diagram for fsdk::ILivenessRGBMEstimator:

## Public Member Functions
virtual Result< FSDKError > | update (const Image &image, uint32_t iFrame, Image &background) const noexcept=0
| Prepare background method. Pass here every frame from the stream to extract background. More...
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, const Image &background, LivenessRGBMEstimation &estimation) const noexcept=0
| Check if detection corresponds to person alive or not. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

RGBM Liveness estimator interface.

Note
  This estimator is designed for liveness detection.

## Member Function Documentation

virtual Result<FSDKError> fsdk::ILivenessRGBMEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | const Image & | background,
|  | LivenessRGBMEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Check if detection corresponds to person alive or not.

Parameters

  [in] | image | source image.
  [in] | detection | detection coordinates in image space.
  [in] | background | background for the track.
  | [in/out] | estimation estimation structure

Returns
  Result with error code.

See Also
  LivenessRGBMEstimation, Detection, Image, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See Also
  Format.

virtual Result<FSDKError> fsdk::ILivenessRGBMEstimator::update | ( | const Image & | image,
|  | uint32_t | iFrame,
|  | Image & | background
| ) |  | const
| pure virtual noexcept

Prepare background method. Pass here every frame from the stream to extract background.

Parameters

  [in] | image | source image.
  [in] | iFrame | current frame number.
  | [in/out] | background current background. It will be updated by this call. Memory residence (host/gpu) of background image can be changed becase of internal implementation.

Returns
  Result with error code.

See Also
  Image, Result and FSDKError for details.

Note
  image format must be R8G8B8,

See Also
  Format.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/ILivenessRGBMEstimator.h